Bug 6357 - actual (g)awk doesn't find strings with the specified final letter of a Cyrillic word
: actual (g)awk doesn't find strings with the specified final letter of a Cyril...
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-22 15:49 MSK by Delles
Modified: 2016-03-09 18:54 MSK (History)
2 users (show)

See Also:
RPM Package: gawk-4.1.1-1.src.rpm
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrey.bondrov: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Delles 2015-11-22 15:49:06 MSK
Description of the problem:

Actual (g)awk doesn't find strings with the specified final letter of a Cyrillic word

Version-Release number of selected component (if applicable):

$ awk --version
GNU Awk 4.1.1, API: 1.1
Copyright (C) 1989, 1991-2014 Free Software Foundation.
<...>
$ /home/dell/.gawk-4.1.3/gawk --version
GNU Awk 4.1.3, API: 1.1
Copyright (C) 1989, 1991-2015 Free Software Foundation.

How reproducible:

$ echo глаголъ | awk /'ъ\>'/                        
$ echo глаголъ | /home/dell/.gawk-4.1.3/gawk /'ъ\>'/
глаголъ

Steps to Reproduce:
1. try to search with (g)awk a string with any final letter of a Cyrillic word specified by the standard marker \> No result.
2. compile gawk of the newest version.
3. try again and find out that it works.
Comment 1 Andrey Bondrov 2016-02-25 18:46:59 MSK
Advisory: "Update gawk to new version 4.1.3"
https://abf.rosalinux.ru/build_lists/2625511
https://abf.rosalinux.ru/build_lists/2625512

Advisory: "Update grep to new version 2.23. Build it with --with-included-regex option"
https://abf.rosalinux.ru/build_lists/2625509
https://abf.rosalinux.ru/build_lists/2625510
Comment 2 Vladimir Potapov 2016-02-25 19:08:25 MSK
The update is sent to expanded testing
***************************************
Comment 3 Vladimir Potapov 2016-02-29 18:28:32 MSK
gawk-4.1.3-1
https://abf.rosalinux.ru/build_lists/2625511
https://abf.rosalinux.ru/build_lists/2625512
*********************** Advisory ************************
Update gawk to new version 4.1.3
*********************************************************
QA Verified
Comment 4 Andrey Bondrov 2016-02-29 19:06:29 MSK
Advisory: "Update grep to new version 2.23. Build also grep-arab binary with --with-included-regex option"

https://abf.rosalinux.ru/build_lists/2626063
https://abf.rosalinux.ru/build_lists/2626064
Comment 5 Andrey Bondrov 2016-02-29 19:45:40 MSK
gawk is just published.
Comment 6 Vladimir Potapov 2016-03-01 18:35:04 MSK
The update is sent to expanded testing
**************************************
Comment 7 Andrey Bondrov 2016-03-02 14:58:22 MSK
Rename grep-arab to grep-syr.

Advisory: "Update grep to new version 2.23. Build also grep-syr binary with --with-included-regex option"

https://abf.rosalinux.ru/build_lists/2626267
https://abf.rosalinux.ru/build_lists/2626268
Comment 8 Vladimir Potapov 2016-03-03 10:28:09 MSK
The update is sent to expanded testing
***************************************
Comment 9 Vladimir Potapov 2016-03-09 16:45:37 MSK
grep-2.23-3
https://abf.rosalinux.ru/build_lists/2626267
https://abf.rosalinux.ru/build_lists/2626268
********************** Advisory ****************
Update grep to new version 2.23. Build also grep-syr binary with --with-included-regex option
************************************************
QA Verified